Bug 1358457

Summary: ipa installer SecurityWarning certificate has no subjectAltName
Product: Red Hat Enterprise Linux 7 Reporter: Scott Poore <spoore>
Component: ipaAssignee: IPA Maintainers <ipa-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Kaleem <ksiddiqu>
Severity: unspecified Docs Contact: Aneta Šteflová Petrová <apetrova>
Priority: unspecified    
Version: 7.3CC: apetrova, frenaud, ftweedal, pasik, pvoborni, rcritten
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Known Issue
Doc Text:
Security warning when using "ipa-kra-install", "ipa-ca-install", or "ipa-replica-install" When using the "ipa-kra-install", "ipa-ca-install", and "ipa-replica-install" utilities to install an additional key recovery authority (KRA) component, certificate authority, or replica, the following warning appears: SecurityWarning: Certificate has no `subjectAltName`, falling back to check for a `commonName` for now. This feature is being removed by major browsers and deprecated by RFC 2818. The error occurs due to RFC 2818, which deprecates the practice of carrying the subject host name in the subject distinguished name (DN) common name (CN) field. However, the three utilities succeed. Therefore, you can ignore the warning message.
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-10-15 11:23:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1420851, 1477664    

Description Scott Poore 2016-07-20 18:12:58 UTC
Description of problem:

When Installing a second KRA on an IPA Replica, I see this warning:

/usr/lib/python2.7/site-packages/urllib3/connection.py:251: SecurityWarning: Certificate has no `subjectAltName`, falling back to check for a `commonName` for now. This feature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)
  SecurityWarning


Version-Release number of selected component (if applicable):

ipa-server-4.4.0-2.1.el7.x86_64
python-urllib3-1.10.2-2.el7_1.noarch

How reproducible:
unknown

Steps to Reproduce:
on Master:
1.  ipa-server-install
2.  ipa-kra-install
on Replica:
3.  ipa-replica-install
4.  ipa-ca-install
5.  ipa-kra-install


Actual results:
appears to work but, throws above warning

Expected results:
No warning was expected so I'm raising this here.

Additional info:

If this is a non-issue, we may still want to document this as expected behavior in release notes.

Comment 2 Scott Poore 2016-07-20 18:36:35 UTC
FYI, I saw the same on ipa-ca-install and ipa-replica-install.  I missed that before but, looking back through an install, I do see it in both places as well.

Comment 4 Petr Vobornik 2016-08-06 12:12:28 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/4970

Comment 9 Florence Blanc-Renaud 2018-10-15 11:23:22 UTC
This issue was fixed with the fix for https://bugzilla.redhat.com/show_bug.cgi?id=1562423 SAN in internal SSL server certificate in pkispawn configuration step
The fix was done on 7.6 and backported to 7.5 z-stream.

Closing as CURRENTRELEASE.